Skip to main content
POST
Search locations within a rectangle

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

topLatitude
number<double>
required

Latitude of the top edge of the rectangle in decimal degrees (e.g. N58°30' is represented as 58.5). Must be greater than bottomLatitude.

Required range: -90 <= x <= 90
bottomLatitude
number<double>
required

Latitude of the bottom edge of the rectangle in decimal degrees (e.g. S58°30' is represented as -58.5)

Required range: -90 <= x <= 90
leftLongitude
number<double>
required

Longitude of the left edge of the rectangle in decimal degrees (e.g. E014°45' is represented as 14.75). Must be less than rightLongitude.

Required range: -180 <= x <= 180
rightLongitude
number<double>
required

Longitude of the right edge of the rectangle in decimal degrees (e.g. E014°45' is represented as 14.75)

Required range: -180 <= x <= 180
limit
number
default:300

Number of locations returned in the response (doesn't apply when aggregation is enabled)

Required range: x <= 300
aggregate
boolean
default:false

If true, the results will be aggregated. For large radius it makes the response much faster.

aggregationPrecision
integer

Value between 2 and 9. The bigger value is, the smaller is the cell size of the grid for aggregation. If not passed, a default value, based on radius, is assumed.

Required range: 2 <= x <= 9
fleetId
string

Optional - the id of the fleet organization, will be used to look up locations available for this fleet. If fleet id is not provided, the locations available to the EMP will be provided

language
string

Supported languages: en, bg, cy, de, es, fi, fr, hu, is, it, lt, nb, nl, pl, pt, ro, sv.

Required string length: 2

Body

application/json

Geosearch request constrained to a rectangular area.

filters
object

Filtering criteria for location selection.

Response

OK

Response payload containing matching locations and aggregate metadata for a geosearch query.

locations
object[]
required

Locations matching the geosearch criteria.

aggregates
object[]

Present only if 'aggregate' request param = true. Contains only aggregates of 2 or more locations. Single locations are returned in 'locations' array.